Agents
Delete an agent
Deletes an agent. For hosted agents, if any version has active sessions, the request
is rejected with HTTP 409 unless force is set to true. When force is true, all
associated sessions are cascade-deleted along with the agent and its versions.
Parámetros de la ruta de acceso
agent_name
string
requerido
The name of the agent to delete.
Parámetros de consulta
force
boolean
For Hosted Agents, if true, force-deletes the agent even if its versions have active sessions, cascading deletion to all associated sessions. The service defaults to false if a value is not specified by the caller. This value is not relevant for other Agent types.
api-version
string
requerido
The API version to use for this operation.
Respuestas
The request has succeeded.
Cuerpo
object
enum
requerido
The object type. Always 'agent.deleted'.
name
string
requerido
The name of the agent.
deleted
boolean
requerido
Whether the agent was successfully deleted.
Solicitar
DELETE /agents/{agent_name} HTTP/1.1
Respuesta
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json